<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<!-- NuGet Package Metadata -->
		<PackageId>DigitalData.Core.Abstractions</PackageId>
		<Authors>Digital Data GmbH</Authors>
		<Company>Digital Data GmbH</Company>
		<Product>DigitalData.Core.Abstractions</Product>
		<Description>This package contains abstractions for the DigitalData.Core library, developed according to the principles of Clean Architecture. It promotes separation of concerns and enables independent core logic.</Description>
		<PackageTags>digital data core abstractions clean architecture</PackageTags>
		<GeneratePackageOnBuild>True</GeneratePackageOnBuild>
		<Copyright>Copyright 2024</Copyright>
		<PackageProjectUrl></PackageProjectUrl>
		<RepositoryUrl>http://git.dd:3000/AppStd/WebCoreModules.git</RepositoryUrl>
		<PackAsTool>False</PackAsTool>
		<PackageIcon>core_icon.png</PackageIcon>
		<Version>3.6.0</Version>
		<AssemblyVersion>3.6.0</AssemblyVersion>
		<FileVersion>3.6.0</FileVersion>
	</PropertyGroup>

	<ItemGroup>
	  <None Include="..\..\nuget-package-icons\core_icon.png">
	    <Pack>True</Pack>
	    <PackagePath>\</PackagePath>
	  </None>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="7.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="7.0.4" />
		<PackageReference Include="System.DirectoryServices" Version="7.0.1" />
		<PackageReference Include="System.DirectoryServices.AccountManagement" Version="7.0.1" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="7.5.1" />
	</ItemGroup>

</Project>